"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }var _jsxruntime = require('react/jsx-runtime');
var _react = require('react');
var _FormField = require('./fieldComponents/FormField');
const CheckBoxItem = (props) => {
  let { inputId, attributes, optional, error } = props;
  const classNames = ["o3-form-input__checkbox-input", "o3-visually-hidden"];
  if (error) {
    classNames.push("o3-form-input-error");
  }
  return /* @__PURE__ */ _jsxruntime.jsxs.call(void 0, "div", { className: "o3-form-input__checkbox", children: [
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, 
      "input",
      {
        ...attributes,
        type: "checkbox",
        id: inputId,
        className: classNames.join(" "),
        required: !optional,
        "aria-required": !optional
      }
    ),
    /* @__PURE__ */ _jsxruntime.jsx.call(void 0, "label", { htmlFor: inputId, className: "o3-form-input__checkbox-label", children: props.checkboxLabel })
  ] });
};
const CheckBox = (props) => {
  const newProps = {
    ...props,
    labelId: props.inputId,
    descriptionId: props.inputId
  };
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _FormField.TitledFormField, { ...newProps, children: /* @__PURE__ */ _jsxruntime.jsx.call(void 0, CheckBoxItem, { ...newProps, children: " " }) });
};
const CheckBoxGroup = (props) => {
  const { children, ...restProps } = props;
  return /* @__PURE__ */ _jsxruntime.jsx.call(void 0, _FormField.FormFieldset, { ...restProps, children: children.map((child) => {
    const hasError = _optionalChain([props, 'access', _ => _.feedback, 'optionalAccess', _2 => _2.errorElementIds, 'optionalAccess', _3 => _3.includes, 'call', _4 => _4(
      child.props.inputId
    )]);
    return /* @__PURE__ */ _react.createElement.call(void 0, 
      CheckBoxItem,
      {
        ...child.props,
        error: hasError,
        key: child.props.inputId
      }
    );
  }) });
};




exports.CheckBox = CheckBox; exports.CheckBoxGroup = CheckBoxGroup; exports.CheckBoxItem = CheckBoxItem;
