import { jsx } from "react/jsx-runtime";
import "../../main.css";
import { LabeledFormField } from "./fieldComponents/FormField";
const TextInput = ({
  label,
  feedback,
  description,
  disabled,
  length,
  attributes,
  inputId,
  optional
}) => {
  const inputClasses = ["o3-form", "o3-form-text-input"];
  if (feedback && feedback.type === "error") {
    inputClasses.push("o3-form-text-input--error");
  }
  if (length) {
    inputClasses.push(`o3-form-text-input--short-${length}`);
  }
  return /* @__PURE__ */ jsx(
    LabeledFormField,
    {
      label,
      feedback,
      description,
      inputId,
      children: /* @__PURE__ */ jsx(
        "input",
        {
          ...attributes,
          id: inputId,
          disabled,
          className: inputClasses.join(" "),
          required: optional,
          "aria-required": optional,
          maxLength: length,
          type: "text"
        }
      )
    }
  );
};
export {
  TextInput
};
