type BaseInputProps = {
    inputId?: string;
    label?: string;
    description?: string;
    optional?: boolean;
    error?: boolean;
    attributes?: JSX.IntrinsicElements['input'];
};
interface TextInputProps extends FormFieldProps {
    disabled?: boolean;
    length?: 2 | 3 | 4 | 5;
    feedback?: FeedbackProps;
}
interface CheckBoxProps extends BaseInputProps {
    inputId: string;
    checkboxLabel: string;
    feedback?: FeedbackProps;
}
interface FormFieldsetProps {
    label: string;
    description?: string;
    children: JSX.Element | JSX.Element[];
    feedback?: FeedbackProps;
}
interface FormFieldProps extends BaseInputProps {
    feedback?: FeedbackProps;
    children: JSX.Element & JSX.IntrinsicElements['input'];
}
type FeedbackProps = {
    errorElementIds?: string[];
    message: string;
    type: 'error';
};

export type { CheckBoxProps as C, FeedbackProps as F, TextInputProps as T, FormFieldProps as a, FormFieldsetProps as b };
